Bug 1296759 - squid-4.0.4 is available
squid-4.0.4 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luboš Uhliarik
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 21:20 EST by Upstream Release Monitoring
Modified: 2016-01-11 06:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-11 06:55:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2016-01-07 21:20:43 EST
Latest upstream release: 4.0.4
Current version/release in rawhide: 3.5.12-2.fc24
URL: ftp://ftp.squid-cache.org/pub/squid/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-01-07 21:22:26 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-5XOqC2/squid.spec
return code:  22
stdout:
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-4.0.4.tar.xz to ./squid-4.0.4.tar.xz
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-4.0.4.tar.xz.asc to ./squid-4.0.4.tar.xz.asc

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:02 --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:03 --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:03 --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 2 Account closed by the user 2016-01-08 05:44:28 EST
(In reply to Upstream Release Monitoring from comment #0)

> Current version/release in rawhide: 3.5.12-2.fc24

Changes to squid-3.5.13 (06 Jan 2016):

- Bug 4397: DragonFly BSD, POSIX shared memory is implemented as filepath
- Bug 4387: Kerberos build errors on Solaris
- TLS: Support Ephemeral Elliptic Curve Diffie-Hellman (EECDH) key exchange
- TLS: Complete certificate chains using external intermediate certificates
- Avoid memory leaks when an X.509 certificate validator is used with SslBump
- Fix connection retry and fallback after failed server TLS connections
- Fix GnuTLS detection via pkg-config
- Fix startup crash with a misconfigured (too-small) shared memory cache
- ... and some documentation updates
Comment 3 Luboš Uhliarik 2016-01-11 06:55:38 EST
Pushed squid-3.5.13 to RAWHIDE.

Moving to CLOSED RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.